=== debian/changelog ===
ros-iron-flexbe-widget (2.3.3-1jammy) jammy; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Wed, 09 Aug 2023 04:00:00 -0000

ros-iron-flexbe-widget (2.3.2-1jammy) jammy; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 01 Aug 2023 04:00:00 -0000

ros-iron-flexbe-widget (2.3.1-1jammy) jammy; urgency=high

  * add non-interactive mode to create_repo for CI
  * update create_repo script for new ros2-devel release of https://github.com/FlexBE/flexbe_project_behaviors
  * merge from ros2-devel to reduce spam and missing package handling

 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 31 Jul 2023 04:00:00 -0000

ros-iron-flexbe-widget (2.3.0-1jammy) jammy; urgency=high

  * update CMakeLists cmake_minimum_version
  * Updates to dependencies for ROS build farm
  * remove rclpy from CMakeLists.txt
  * remove unnecessary rclcpp depends
  * include package name in behavior request (requires flexbe_app 3.1+) to allow duplicate behavior names in packages

 -- Philipp Schillinger <philsplus@gmail.com>  Thu, 20 Jul 2023 04:00:00 -0000

ros-iron-flexbe-widget (2.2.0-1jammy) jammy; urgency=high

  * Initiate start up launch in thread safe manner with future (prevent deadlock)
  * Add periodic heartbeat message for number of seconds as Int32
  * Modify to used behavior_id (checksum) and behavior_key consistently
  * package updates; pylint, flake8, and pep257 cleanup

 -- Philipp Schillinger <philsplus@gmail.com>  Thu, 29 Jun 2023 04:00:00 -0000

ros-iron-flexbe-widget (2.1.0-1jammy) jammy; urgency=high

  * ROS 2 Humble release
  * Modify launcher scripts
  * BehaviorLauncher is-a Node
  * Update script_dir in setup.cfg
  * Tested under Ubuntu 22.04 and ROS Humble

 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 02 Aug 2022 04:00:00 -0000

ros-iron-flexbe-widget (2.0.0-1jammy) jammy; urgency=high

  * Initial ROS 2 "foxy" release based on ROS 1 commit a343c657
  * Includes changes to concurrent state and sleep handling

 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 22 Feb 2022 05:00:00 -0000

ros-iron-flexbe-widget (1.3.1-1jammy) jammy; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Fri, 11 Dec 2020 05:00:00 -0000

ros-iron-flexbe-widget (1.3.0-1jammy) jammy; urgency=high

  * [flexbe_core] [flexbe_widget] Correctly handle non-existing behaviors in action goals
    (fix #133 <https://github.com/team-vigir/flexbe_behavior_engine/issues/133>)
  * [flexbe_core] [flexbe_testing] [flexbe_widget] Use yaml backwards compatible
  * Merge remote-tracking branch 'origin/feature/core_rework' into develop
    # Conflicts:
    #     flexbe_core/src/flexbe_core/core/operatable_state_machine.py
    #     flexbe_onboard/src/flexbe_onboard/flexbe_onboard.py
  * Add support for python3
  * [flexbe_widget] Accept more valid status codes by launcher
  * Remove smach dependency
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Thu, 19 Nov 2020 05:00:00 -0000

ros-iron-flexbe-widget (1.2.5-1jammy) jammy; urgency=high

  * Merge pull request #120 <https://github.com/team-vigir/flexbe_behavior_engine/issues/120> from cheffe112/startup_race_condition
    wait for READY status from Behavior Engine before launching behavior to avoid race conditions on startup
  * avoid callback trigger before ready event has been created
  * Merge pull request #113 <https://github.com/team-vigir/flexbe_behavior_engine/issues/113> from team-vigir/feature/state_logger_rework
    State Logger Rework
  * Merge branch 'develop' into feature/state_logger_rework
  * wait for READY status from Behavior Engine before launching behavior
    Whenever behavior_onboard and be_launcher are launched together, there used to be a race condition of publishing the behavior in behavior_launcher, but the subscriber in behavior_onboard not being ready yet. Hence, behavior_launcher now waits for the READY status to appear on the flexbe/status topic before it actually attempts to launch the behavior.
  * [flexbe_widget] Update evaluate_logs script to new format
  * Merge pull request #118 <https://github.com/team-vigir/flexbe_behavior_engine/issues/118> from StefanFabian/action_server_callback_based
    Using event based action server instead of control loop.
  * Improved preempt logic.
  * Only accept goal if ActionServer is not active.
  * Handle errors before behavior start.
  * Using event based action server instead of control loop.
    Waiting for terminal state of flexbe before setting goal to a terminal state and accepting a new one.
  * Contributors: Philipp Schillinger, Stefan Fabian, Tobias Doernbach

 -- Philipp Schillinger <philsplus@gmail.com>  Sun, 14 Jun 2020 04:00:00 -0000

ros-iron-flexbe-widget (1.2.4-1jammy) jammy; urgency=high

  * Merge pull request #110 <https://github.com/team-vigir/flexbe_behavior_engine/issues/110> from team-vigir/fix/catkin_install
    Let behavior library find sourcecode in devel or install spaces
  * Let behavior library find sourcecode in devel or install spaces
    (fix #104 <https://github.com/team-vigir/flexbe_behavior_engine/issues/104>)
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Wed, 25 Mar 2020 04:00:00 -0000

ros-iron-flexbe-widget (1.2.3-1jammy) jammy; urgency=high

  * Revise internal dependencies
  * Merge remote-tracking branch 'origin/develop' into feature/test_behaviors
    # Conflicts:
    #     flexbe_testing/bin/testing_node
    #     flexbe_testing/src/flexbe_testing/state_tester.py
  * [flexbe_core] [flexbe_widget] Add simple breakpoint feature (see #93 <https://github.com/team-vigir/flexbe_behavior_engine/issues/93>)
  * [flexbe_widget] Support loading files as behavior args for the action server
  * Merge pull request #90 <https://github.com/team-vigir/flexbe_behavior_engine/issues/90> from cjue/patch-1
    Fix evaluate_logs usage string: default log path now "~/.flexbe_logs"
  * Fix evaluate_logs usage string: default log path now "~/.flexbe_logs"

