=== debian/control ===
Source: ros-iron-flexbe-widget
Section: misc
Priority: optional
Maintainer: Philipp Schillinger <philsplus@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-iron-ament-cmake, ros-iron-ament-cmake-python, ros-iron-ament-copyright <!nocheck>, ros-iron-ament-flake8 <!nocheck>, ros-iron-ament-pep257 <!nocheck>, ros-iron-flexbe-core, ros-iron-flexbe-mirror, ros-iron-flexbe-msgs, ros-iron-flexbe-onboard, ros-iron-launch-ros, ros-iron-rclpy, ros-iron-ros-workspace
Homepage: http://ros.org/wiki/flexbe_core
Standards-Version: 3.9.2

Package: ros-iron-flexbe-widget
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-flexbe-core, ros-iron-flexbe-mirror, ros-iron-flexbe-msgs, ros-iron-flexbe-onboard, ros-iron-launch-ros, ros-iron-rclpy, ros-iron-ros-workspace
Description: flexbe_widget implements some smaller scripts for the behavior engine.
